Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.security
Interface Authenticator.Factory

All Known Implementing Classes:
  DefaultAuthenticatorFactory

Enclosing interface:
  Authenticator

    public static interface Authenticator.Factory

Authenticator Factory

Method Summary
`Authenticator` | `getAuthenticator(Server server, ServletContext context, Authenticator.AuthConfiguration configuration, IdentityService identityService, LoginService loginService)`

Method Detail

### getAuthenticator

    Authenticator getAuthenticator(Server server,
                                   ServletContext context,
                                   Authenticator.AuthConfiguration configuration,
                                   IdentityService identityService,
                                   LoginService loginService)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.